-- UC_REL_RE
-- Author: JNR
--------------------------------------------------------------

-- Beliefs
--------------------------------------------------------------
UPDATE Beliefs SET Description='LOC_BELIEF_P0K_HIERATIC_SCRIPT_DESCRIPTION_JNR_UC'	WHERE BeliefType='BELIEF_P0K_HIERATIC_SCRIPT';
UPDATE Beliefs SET Description='LOC_BELIEF_RELIGIOUS_COMMUNITY_DESCRIPTION_JNR_UC'	WHERE BeliefType='BELIEF_RELIGIOUS_COMMUNITY';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,													ModifierType,														SubjectRequirementSetId)
VALUES	('JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE',						'MODIFIER_ALL_CITIES_ATTACH_MODIFIER',								'CITY_FOLLOWS_RELIGION_REQUIREMENTS'),
		('JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE_MODIFIER',				'MODIFIER_BUILDING_YIELD_CHANGE',									NULL),
		('JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE',					'MODIFIER_ALL_CITIES_ATTACH_MODIFIER',								'CITY_FOLLOWS_RELIGION_REQUIREMENTS'),
		('JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE_MODIFIER',			'MODIFIER_BUILDING_YIELD_CHANGE',									NULL),
		('JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE',					'MODIFIER_ALL_CITIES_ATTACH_MODIFIER',								'CITY_FOLLOWS_RELIGION_REQUIREMENTS'),
		('JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE_MODIFIER',			'MODIFIER_BUILDING_YIELD_CHANGE',									NULL),
		('JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE',						'MODIFIER_ALL_CITIES_ATTACH_MODIFIER',								'CITY_FOLLOWS_RELIGION_REQUIREMENTS'),
		('JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE_MODIFIER',				'MODIFIER_BUILDING_YIELD_CHANGE',									NULL),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_DOMESTIC',					'MODIFIER_ALL_CITIES_ATTACH_MODIFIER',								'CITY_FOLLOWS_RELIGION_REQUIREMENTS'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_DOMESTIC_MODIFIER',		'MODIFIER_SINGLE_CITY_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC',		'BUILDING_IS_HOLY_SITE_TIER4_JNR'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_INTERNATIONAL',			'MODIFIER_ALL_CITIES_ATTACH_MODIFIER',								'CITY_FOLLOWS_RELIGION_REQUIREMENTS'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_INTERNATIONAL_MODIFIER',	'MODIFIER_SINGLE_CITY_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL',	'BUILDING_IS_HOLY_SITE_TIER4_JNR');

UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_HOLY_SITE_TIER1_JNR' WHERE ModifierId='P0K_INDULGENCES_SHRINE_TRADING_DOMESTIC_MODIFIER';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_HOLY_SITE_TIER2_JNR' WHERE ModifierId='P0K_INDULGENCES_TEMPLE_TRADING_DOMESTIC_MODIFIER';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_HOLY_SITE_TIER1_JNR' WHERE ModifierId='P0K_INDULGENCES_SHRINE_TRADING_INTERNATIONAL_MODIFIER';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_HOLY_SITE_TIER2_JNR' WHERE ModifierId='P0K_INDULGENCES_TEMPLE_TRADING_INTERNATIONAL_MODIFIER';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,													Name,					Value)
VALUES	('JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE',						'ModifierId',			'JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE_MODIFIER'),
		('JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE',					'ModifierId',			'JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE_MODIFIER'),
		('JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE',					'ModifierId',			'JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE_MODIFIER'),
		('JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE',						'ModifierId',			'JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE_MODIFIER'),
		('JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE_MODIFIER',				'BuildingType',			'BUILDING_JNR_ALTAR'),
		('JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE_MODIFIER',				'YieldType',			'YIELD_SCIENCE'),
		('JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE_MODIFIER',				'Amount',				2),
		('JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE_MODIFIER',			'BuildingType',			'BUILDING_JNR_MONASTERY'),
		('JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE_MODIFIER',			'YieldType',			'YIELD_SCIENCE'),
		('JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE_MODIFIER',			'Amount',				2),
		('JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE_MODIFIER',			'BuildingType',			'BUILDING_JNR_HOSPITIUM'),
		('JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE_MODIFIER',			'YieldType',			'YIELD_SCIENCE'),
		('JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE_MODIFIER',			'Amount',				2),
		('JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE_MODIFIER',				'BuildingType',			'BUILDING_JNR_GARDEN'),
		('JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE_MODIFIER',				'YieldType',			'YIELD_SCIENCE'),
		('JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE_MODIFIER',				'Amount',				2),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_DOMESTIC',					'ModifierId',			'RELIGIOUS_COMMUNITY_GARDEN_TRADING_MODIFIER'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_DOMESTIC_MODIFIER',		'YieldType',			'YIELD_GOLD'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_DOMESTIC_MODIFIER',		'Amount',				1),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_INTERNATIONAL',			'ModifierId',			'RELIGIOUS_COMMUNITY_GARDEN_TRADING_MODIFIER'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_INTERNATIONAL_MODIFIER',	'YieldType',			'YIELD_GOLD'),
		('JNR_P0K_INDULGENCES_GARDEN_TRADING_INTERNATIONAL_MODIFIER',	'Amount',				1);

UPDATE ModifierArguments SET Value=2 WHERE Name='Amount' AND ModifierId='P0K_HIERATIC_SCRIPT_SHRINE_SCIENCE_MODIFIER';
UPDATE ModifierArguments SET Value=2 WHERE Name='Amount' AND ModifierId='P0K_HIERATIC_SCRIPT_TEMPLE_SCIENCE_MODIFIER';
--------------------------------------------------------------

-- BeliefModifiers
--------------------------------------------------------------
DELETE FROM BeliefModifiers WHERE BeliefType='BELIEF_RELIGIOUS_COMMUNITY' AND ModifierId='RELIGIOUS_COMMUNITY_GARDEN_TRADING';

INSERT OR IGNORE INTO BeliefModifiers
		(BeliefType,					ModifierId)
VALUES	('BELIEF_P0K_HIERATIC_SCRIPT',	'JNR_P0K_HIERATIC_SCRIPT_ALTAR_SCIENCE'),
		('BELIEF_P0K_HIERATIC_SCRIPT',	'JNR_P0K_HIERATIC_SCRIPT_MONASTERY_SCIENCE'),
		('BELIEF_P0K_HIERATIC_SCRIPT',	'JNR_P0K_HIERATIC_SCRIPT_HOSPITIUM_SCIENCE'),
		('BELIEF_P0K_HIERATIC_SCRIPT',	'JNR_P0K_HIERATIC_SCRIPT_GARDEN_SCIENCE'),
		('BELIEF_RELIGIOUS_COMMUNITY',	'JNR_P0K_INDULGENCES_GARDEN_TRADING_DOMESTIC'),
		('BELIEF_RELIGIOUS_COMMUNITY',	'JNR_P0K_INDULGENCES_GARDEN_TRADING_INTERNATIONAL');
--------------------------------------------------------------