-- UC_REL_Policies
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,							Kind)
VALUES	('POLICY_JNR_FUNDAMENTALISM',	'KIND_POLICY');
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
UPDATE Policies SET Description='LOC_POLICY_REVELATION_DESCRIPTION_JNR_UC'	WHERE PolicyType='POLICY_REVELATION';
UPDATE Policies SET Description='LOC_POLICY_SIMULTANEUM_DESCRIPTION_JNR_UC'	WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO Policies
		(PolicyType,					Name,									Description,									PrereqCivic,				GovernmentSlotType)
VALUES	('POLICY_JNR_FUNDAMENTALISM',	'LOC_POLICY_JNR_FUNDAMENTALISM_NAME',	'LOC_POLICY_JNR_FUNDAMENTALISM_DESCRIPTION',	'CIVIC_CULTURAL_HERITAGE',	'SLOT_MILITARY');
--------------------------------------------------------------

-- ObsoletePolicies
--------------------------------------------------------------
INSERT OR IGNORE INTO ObsoletePolicies
		(PolicyType,			ObsoletePolicy)
VALUES	('POLICY_SIMULTANEUM',	'POLICY_JNR_FUNDAMENTALISM');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,									ModifierType,											SubjectRequirementSetId)
VALUES	('REVELATION_PROPHETS_TEMPLE_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',		'BUILDING_IS_HOLY_SITE_TIER2_JNR'),
		
		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_ADJACENCY_ALTAR_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_ADJACENCY_MONASTERY_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_ADJACENCY_GARDEN_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),

		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('SIMULTANEUM_HIGH_POP_ALTAR_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('SIMULTANEUM_HIGH_POP_MONASTERY_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('SIMULTANEUM_HIGH_POP_HOSPITIUM_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('SIMULTANEUM_HIGH_POP_GARDEN_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		
		('FUNDAMENTALISM_HIGH_ADJACENCY_SHRINE_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_ALTAR_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_TEMPLE_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_MONASTERY_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_GARDEN_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),

		('FUNDAMENTALISM_HIGH_POP_SHRINE_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FUNDAMENTALISM_HIGH_POP_ALTAR_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FUNDAMENTALISM_HIGH_POP_TEMPLE_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FUNDAMENTALISM_HIGH_POP_MONASTERY_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FUNDAMENTALISM_HIGH_POP_HOSPITIUM_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FUNDAMENTALISM_HIGH_POP_GARDEN_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType,											SubjectRequirementSetId)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType,											SubjectRequirementSetId)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType,											SubjectRequirementSetId)
SELECT	'FUNDAMENTALISM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType,											SubjectRequirementSetId)
SELECT	'FUNDAMENTALISM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'
FROM	Buildings
WHERE	EnabledByReligion=1;
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,									Name,					Value)
VALUES	('REVELATION_PROPHETS_TEMPLE_JNR',				'GreatPersonClassType',	'GREAT_PERSON_CLASS_PROPHET'),
		('REVELATION_PROPHETS_TEMPLE_JNR',				'Amount',				2),
		
		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',		'BuildingType',			'BUILDING_SHRINE'),
		('SIMULTANEUM_HIGH_ADJACENCY_ALTAR_JNR',		'BuildingType',			'BUILDING_JNR_ALTAR'),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',		'BuildingType',			'BUILDING_TEMPLE'),
		('SIMULTANEUM_HIGH_ADJACENCY_MONASTERY_JNR',	'BuildingType',			'BUILDING_JNR_MONASTERY'),
		('SIMULTANEUM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'BuildingType',			'BUILDING_JNR_HOSPITIUM'),
		('SIMULTANEUM_HIGH_ADJACENCY_GARDEN_JNR',		'BuildingType',			'BUILDING_JNR_GARDEN'),
		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',		'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_ALTAR_JNR',		'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',		'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_MONASTERY_JNR',	'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_GARDEN_JNR',		'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',		'Amount',				1),
		('SIMULTANEUM_HIGH_ADJACENCY_ALTAR_JNR',		'Amount',				1),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',		'Amount',				1),
		('SIMULTANEUM_HIGH_ADJACENCY_MONASTERY_JNR',	'Amount',				1),
		('SIMULTANEUM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'Amount',				1),
		('SIMULTANEUM_HIGH_ADJACENCY_GARDEN_JNR',		'Amount',				1),

		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',				'BuildingType',			'BUILDING_SHRINE'),
		('SIMULTANEUM_HIGH_POP_ALTAR_JNR',				'BuildingType',			'BUILDING_JNR_ALTAR'),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',				'BuildingType',			'BUILDING_TEMPLE'),
		('SIMULTANEUM_HIGH_POP_MONASTERY_JNR',			'BuildingType',			'BUILDING_JNR_MONASTERY'),
		('SIMULTANEUM_HIGH_POP_HOSPITIUM_JNR',			'BuildingType',			'BUILDING_JNR_HOSPITIUM'),
		('SIMULTANEUM_HIGH_POP_GARDEN_JNR',				'BuildingType',			'BUILDING_JNR_GARDEN'),
		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',				'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_ALTAR_JNR',				'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',				'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_MONASTERY_JNR',			'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_HOSPITIUM_JNR',			'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_GARDEN_JNR',				'YieldType',			'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',				'Amount',				1),
		('SIMULTANEUM_HIGH_POP_ALTAR_JNR',				'Amount',				1),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',				'Amount',				1),
		('SIMULTANEUM_HIGH_POP_MONASTERY_JNR',			'Amount',				1),
		('SIMULTANEUM_HIGH_POP_HOSPITIUM_JNR',			'Amount',				1),
		('SIMULTANEUM_HIGH_POP_GARDEN_JNR',				'Amount',				1),
		
		('FUNDAMENTALISM_HIGH_ADJACENCY_SHRINE_JNR',	'BuildingType',			'BUILDING_SHRINE'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_ALTAR_JNR',		'BuildingType',			'BUILDING_JNR_ALTAR'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_TEMPLE_JNR',	'BuildingType',			'BUILDING_TEMPLE'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_MONASTERY_JNR',	'BuildingType',			'BUILDING_JNR_MONASTERY'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'BuildingType',			'BUILDING_JNR_HOSPITIUM'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_GARDEN_JNR',	'BuildingType',			'BUILDING_JNR_GARDEN'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_SHRINE_JNR',	'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_ALTAR_JNR',		'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_TEMPLE_JNR',	'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_MONASTERY_JNR',	'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_GARDEN_JNR',	'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_ADJACENCY_SHRINE_JNR',	'Amount',				1),
		('FUNDAMENTALISM_HIGH_ADJACENCY_ALTAR_JNR',		'Amount',				1),
		('FUNDAMENTALISM_HIGH_ADJACENCY_TEMPLE_JNR',	'Amount',				2),
		('FUNDAMENTALISM_HIGH_ADJACENCY_MONASTERY_JNR',	'Amount',				2),
		('FUNDAMENTALISM_HIGH_ADJACENCY_HOSPITIUM_JNR',	'Amount',				4),
		('FUNDAMENTALISM_HIGH_ADJACENCY_GARDEN_JNR',	'Amount',				4),

		('FUNDAMENTALISM_HIGH_POP_SHRINE_JNR',			'BuildingType',			'BUILDING_SHRINE'),
		('FUNDAMENTALISM_HIGH_POP_ALTAR_JNR',			'BuildingType',			'BUILDING_JNR_ALTAR'),
		('FUNDAMENTALISM_HIGH_POP_TEMPLE_JNR',			'BuildingType',			'BUILDING_TEMPLE'),
		('FUNDAMENTALISM_HIGH_POP_MONASTERY_JNR',		'BuildingType',			'BUILDING_JNR_MONASTERY'),
		('FUNDAMENTALISM_HIGH_POP_HOSPITIUM_JNR',		'BuildingType',			'BUILDING_JNR_HOSPITIUM'),
		('FUNDAMENTALISM_HIGH_POP_GARDEN_JNR',			'BuildingType',			'BUILDING_JNR_GARDEN'),
		('FUNDAMENTALISM_HIGH_POP_SHRINE_JNR',			'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_POP_ALTAR_JNR',			'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_POP_TEMPLE_JNR',			'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_POP_MONASTERY_JNR',		'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_POP_HOSPITIUM_JNR',		'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_POP_GARDEN_JNR',			'YieldType',			'YIELD_FAITH'),
		('FUNDAMENTALISM_HIGH_POP_SHRINE_JNR',			'Amount',				1),
		('FUNDAMENTALISM_HIGH_POP_ALTAR_JNR',			'Amount',				1),
		('FUNDAMENTALISM_HIGH_POP_TEMPLE_JNR',			'Amount',				2),
		('FUNDAMENTALISM_HIGH_POP_MONASTERY_JNR',		'Amount',				2),
		('FUNDAMENTALISM_HIGH_POP_HOSPITIUM_JNR',		'Amount',				4),
		('FUNDAMENTALISM_HIGH_POP_GARDEN_JNR',			'Amount',				4);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',		'BuildingType',	BuildingType
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',		'YieldType',	'YIELD_FAITH'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',		'Amount',		1
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',			'BuildingType',	BuildingType
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',			'YieldType',	'YIELD_FAITH'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',			'Amount',		1
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'FUNDAMENTALISM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'BuildingType',	BuildingType
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'FUNDAMENTALISM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'YieldType',	'YIELD_FAITH'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'FUNDAMENTALISM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'Amount',		3
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'FUNDAMENTALISM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'BuildingType',	BuildingType
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'FUNDAMENTALISM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'YieldType',	'YIELD_FAITH'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)
SELECT	'FUNDAMENTALISM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'Amount',		3
FROM	Buildings
WHERE	EnabledByReligion=1;
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'REVELATION_PROPHETS_TEMPLE_JNR'			FROM Policies WHERE PolicyType='POLICY_REVELATION';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR'		FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_ALTAR_JNR'		FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR'		FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_MONASTERY_JNR'	FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_HOSPITIUM_JNR'	FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_GARDEN_JNR'		FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(b.BuildingType,10) || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_SIMULTANEUM'
		AND b.EnabledByReligion=1;

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_SHRINE_JNR'			FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_ALTAR_JNR'			FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_TEMPLE_JNR'			FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_MONASTERY_JNR'		FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_HOSPITIUM_JNR'		FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_GARDEN_JNR'			FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'SIMULTANEUM_HIGH_POP_' || SUBSTR(b.BuildingType,10) || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_SIMULTANEUM'
		AND b.EnabledByReligion=1;
		
INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,					ModifierId)
VALUES	('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_ADJACENCY_SHRINE_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_ADJACENCY_ALTAR_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_ADJACENCY_TEMPLE_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_ADJACENCY_MONASTERY_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_ADJACENCY_HOSPITIUM_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_ADJACENCY_GARDEN_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_POP_SHRINE_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_POP_ALTAR_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_POP_TEMPLE_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_POP_MONASTERY_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_POP_HOSPITIUM_JNR'),
		('POLICY_JNR_FUNDAMENTALISM',	'FUNDAMENTALISM_HIGH_POP_GARDEN_JNR');

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'FUNDAMENTALISM_HIGH_ADJACENCY_' || SUBSTR(b.BuildingType,10) || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_JNR_FUNDAMENTALISM'
		AND b.EnabledByReligion=1;

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'FUNDAMENTALISM_HIGH_POP_' || SUBSTR(b.BuildingType,10) || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_JNR_FUNDAMENTALISM'
		AND b.EnabledByReligion=1;
--------------------------------------------------------------

